Bug 1753607 - "convert -size 1x1 xc:white white.pnm" produces black image
Summary: "convert -size 1x1 xc:white white.pnm" produces black image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1753610
TreeView+ depends on / blocked
 
Reported: 2019-09-19 12:10 UTC by Petr Pisar
Modified: 2019-10-12 00:25 UTC (History)
3 users (show)

Fixed In Version: ImageMagick-6.9.10.67-1.fc31 ImageMagick-6.9.10.67-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-08 00:27:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ImageMagick ImageMagick6 issues 58 0 'None' 'open' 'convert -size 1x1 xc:white white.pnm creates a black image' 2019-11-25 08:45:02 UTC

Description Petr Pisar 2019-09-19 12:10:11 UTC
I found a regression in ImageMagick. After upgrading ImageMagick from 1:6.9.10.28-4.fc31.x86_64 to 1:6.9.10.64-1.fc32.x86_64 this command:

convert -size 1x1 xc:white white.pnm

creates a black PNM image. It used to a white one.

Comment 1 Michael Cronenworth 2019-09-19 13:06:04 UTC
Would you be able to report this upstream?

https://github.com/ImageMagick/ImageMagick6/issues

Comment 2 Petr Pisar 2019-09-20 06:16:25 UTC
I wouldn't. Please take care of your package.

Comment 3 Fedora Update System 2019-10-04 12:00:51 UTC
FEDORA-2019-ee7b605002 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ee7b605002

Comment 4 Fedora Update System 2019-10-04 12:00:51 UTC
FEDORA-2019-f9f63f782a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f9f63f782a

Comment 5 Fedora Update System 2019-10-04 22:14:50 UTC
ImageMagick-6.9.10.67-1.fc30, rubygem-rmagick-2.16.0-26.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f9f63f782a

Comment 6 Fedora Update System 2019-10-04 22:50:58 UTC
ImageMagick-6.9.10.67-1.fc31, rubygem-rmagick-2.16.0-26.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ee7b605002

Comment 7 Fedora Update System 2019-10-08 00:27:21 UTC
ImageMagick-6.9.10.67-1.fc31, rubygem-rmagick-2.16.0-26.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-10-12 00:25:39 UTC
ImageMagick-6.9.10.67-1.fc30, rubygem-rmagick-2.16.0-26.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.